<!DOCTYPE html>
<html>
<head>

  <link rel="stylesheet" type="text/css" href="{{ url_for('static',filename='resifsi.css') }}">
	<title>Documentation</title>
	<meta charset="utf-8">
</head>
<body>
  <div class="main">

  <img src="{{ url_for('static',filename='image/logoresif.png') }}">

  <h1> Orphanfile webservice </h1>

 <div>

    <p class="intro">
      &nbsp;&nbsp;Orphanfile webservice allows data providers to retrieve the data files without metadata. 
    </p>
     <h3> Overview of request parameters </h3>
      <p class="intro"> The request parameters for the service are summarized in the table below :</p>
    	<table class="table2">
 		  		<thead>
            <tr>
              <th>Parameter</th>
              <th>Required</th>
              <th>Description</th>
              <th>Values (default)</th>
            </tr>
 		  		</thead>
 		  		<tbody>
 		  			<tr>
 		  				<td > starttime</td>
 		  				<td >NO</td>
 		  				<td >Limit of data date at or after the specific start time</td>
 		  				<td >YYYY-MM-DDTHH:MM:SS (-)</td>
 		  			</tr>
 		  			<tr>
 		  				<td >endtime</td>
 		  				<td >NO</td>
 		  				<td >Limit of data date at or before the specific end time</td>
 		  				<td >YYYY-MM-DDTHH:MM:SS (-)</td>
 		  			</tr>
 		  			</tr>
 		  			<tr>
 		  				<td >Network</td>
 		  				<td >YES</td>
 		  				<td >FDSN network code</td>
              <td> 
               Network codes list is available <a href="http://seismology.resif.fr/#NetworkConsultPlace:"> here </a>. Joker is allowed.</td>
              </td>
 		  			</tr>
 		  			<tr>	
 		  			  <td >Station</td>
 		  				<td >NO</td>
 		  				<td >Station name</td>
 		  				<td> Stations list is available <a href="http://ws.resif.fr/fdsnws/station/1/query?level=station&format=text">here </a>. Joker is allowed.
              </td>
 		  			</tr>
 		  			<tr>
 		  				<td >Channel</td>
 		  				<td >NO</td>
 		  				<td >Channel name</td>
 		  				<td> Channels  list is available  <a href="http://ws.resif.fr/fdsnws/station/1/query?level=channel&format=text">here </a>. Joker is allowed</td>
  		  			</tr>
 		  			<tr>
 		  				<td >Location</td>
 		  				<td >NO</td>
 		  				<td >Location code</td>
 		  				<td >  </td>
  		  			</tr>
 		  			<tr>
 		  				<td >Datatype</td>
 		  				<td >NO</td>
 		  				<td >Data type </td>
 		  				<td> Validated or raw. Default: validated</td>
  		  			</tr>
 		  	</tbody>
 		  	</table>
        <br>
     <h3> HTTP status codes</h3>

    <p class="intro">Table below gives a list status codes returned by the webservice. These codes should be used by end-user to check if a request was successful.</p>

        <table class="table2">
            <thead>
              <tr>
                <th>Code</th>
                <th>Description</th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td>200</td>
                <td>Successfull request, result follow</td>
              </tr>
              <tr>
                <td>201</td>
                <td>Request was properly formatted and submitted but no data match the selection</td>
              </tr>
              <tr>
                <td>400</td>
                <td>Bad request due to improper specification, unrecognized parameter, etc</td>
              </tr>
              <tr>
                <td>203</td>
                <td>Request resulted in too much data being returned or the request itself is too large</td>
              </tr>
              <tr>
                <td>500</td>
                <td>Internal Server Error</td>
              </tr>
            </tbody>
          </table>    
        
   <h3> Examples</h3>
        <ul>
          <li> Get data file without metadata for the all networks that start by R</li>
          <a href="http://ws.resif.fr/resifsi/orphanfile/1/query?network=R?&format=text">http://ws.resif.fr/resifsi/orphanfile/1/query?network=R?&format=text</a><br>
          <li> Get data files without metadata for FR network but only for channels that start by H</li>
          <a href="http://ws.resif.fr/resifsi/orphanfile/1/query?network=FR&channel=H??&format=text">http://ws.resif.fr/resifsi/orphanfile/1/query?network=FR&channel=H??&format=text</a>
          </ul>
      

  </div>

<br>
</div>

</body>
</html>
